<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('schedule_campaigns', function (Blueprint $table) {
            $table->json('delivery_timing_detail')->nullable()->after('send_datetime'); // adjust position as needed
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('schedule_campaigns', function (Blueprint $table) {
            $table->dropColumn('delivery_timing_detail');
        });
    }
};
